Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.model.textproperties
Class AlignmentTextProp

    java.lang.Object
      org.apache.poi.hslf.model.textproperties.TextProp
          org.apache.poi.hslf.model.textproperties.AlignmentTextProp

All Implemented Interfaces:
  java.lang.Cloneable

    public class AlignmentTextProp

extends TextProp

Definition for the alignment text property.

Field Summary
`static int` | `CENTER`
`static int` | `JUSTIFY`
`static int` | `JUSTIFYLOW`
`static int` | `LEFT`
`static int` | `RIGHT`
`static int` | `THAIDISTRIBUTED`

Fields inherited from class org.apache.poi.hslf.model.textproperties.TextProp
`dataValue, maskInHeader, propName, sizeOfDataBlock`

Constructor Summary
`AlignmentTextProp()`

Method Summary

Methods inherited from class org.apache.poi.hslf.model.textproperties.TextProp
`clone, getMask, getName, getSize, getValue, getWriteMask, setValue`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFT

    public static final int LEFT

See Also:
  Constant Field Values

### CENTER

    public static final int CENTER

See Also:
  Constant Field Values

### RIGHT

    public static final int RIGHT

See Also:
  Constant Field Values

### JUSTIFY

    public static final int JUSTIFY

See Also:
  Constant Field Values

### THAIDISTRIBUTED

    public static final int THAIDISTRIBUTED

See Also:
  Constant Field Values

### JUSTIFYLOW

    public static final int JUSTIFYLOW

See Also:
  Constant Field Values

Constructor Detail

### AlignmentTextProp

    public AlignmentTextProp()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.